Index: src/UIElements/Qt4/Query/BooleanQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/BooleanQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/BooleanQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -32,10 +32,11 @@
     parent(_parent)
 {
-  if (!param.isSet())
-    param.set(false);
+  temp = false;
+  if (param.isSet())
+    temp = param.get();
   thisLayout = new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()),_dialog);
   booleanCheckBox = new QCheckBox(QString(getTitle().c_str()), _dialog);
-  booleanCheckBox->setCheckState(param.get() ? Qt::Checked : Qt::Unchecked);
+  booleanCheckBox->setCheckState(temp ? Qt::Checked : Qt::Unchecked);
 
   parent->addLayout(thisLayout);
Index: src/UIElements/Qt4/Query/DoubleQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/DoubleQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/DoubleQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -32,10 +32,11 @@
     parent(_parent)
 {
-  if (!param.isSet())
-    param.set(0.0);
+  temp = 0.0;
+  if (param.isSet())
+    temp = param.get();
   thisLayout = new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()));
   inputBox = new QDoubleSpinBox();
-  inputBox->setValue(param.get());
+  inputBox->setValue(temp);
   inputBox->setRange(-std::numeric_limits<double>::max(),std::numeric_limits<double>::max());
   inputBox->setDecimals(3);
Index: src/UIElements/Qt4/Query/DoublesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -30,6 +30,6 @@
 
 
-QtDialog::DoublesQtQuery::DoublesQtQuery(Parameter<std::vector<double> > &param, std::string title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::DoublesQuery(param, title),
+QtDialog::DoublesQtQuery::DoublesQtQuery(Parameter<std::vector<double> > &_param, std::string title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::DoublesQuery(_param, title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/ElementQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -31,6 +31,6 @@
 #include "World.hpp"
 
-QtDialog::ElementQtQuery::ElementQtQuery(Parameter<const element *> &param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
-    Dialog::ElementQuery(param, _title),
+QtDialog::ElementQtQuery::ElementQtQuery(Parameter<const element *> &_param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+    Dialog::ElementQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/ElementsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -32,6 +32,6 @@
 
 
-QtDialog::ElementsQtQuery::ElementsQtQuery(Parameter<std::vector<const element *> > &param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
-    Dialog::ElementsQuery(param, _title),
+QtDialog::ElementsQtQuery::ElementsQtQuery(Parameter<std::vector<const element *> > &_param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+    Dialog::ElementsQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/FileQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/FileQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/FileQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -29,6 +29,6 @@
 
 
-QtDialog::FileQtQuery::FileQtQuery(Parameter<boost::filesystem::path> &param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
-    Dialog::FileQuery(param, _title),
+QtDialog::FileQtQuery::FileQtQuery(Parameter<boost::filesystem::path> &_param, std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+    Dialog::FileQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/IntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/IntQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/IntQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -28,14 +28,15 @@
 
 
-QtDialog::IntQtQuery::IntQtQuery(Parameter<int> &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::IntQuery(param, _title),
+QtDialog::IntQtQuery::IntQtQuery(Parameter<int> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::IntQuery(_param, _title),
     parent(_parent)
 {
-  if (!param.isSet())
-    param.set(0);
+  temp = 0;
+  if (param.isSet())
+    temp = param.get();
   thisLayout = new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()));
   inputBox = new QSpinBox();
-  inputBox->setValue(param.get());
+  inputBox->setValue(temp);
   parent->addLayout(thisLayout);
   thisLayout->addWidget(titleLabel);
Index: src/UIElements/Qt4/Query/IntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -30,6 +30,6 @@
 
 
-QtDialog::IntsQtQuery::IntsQtQuery(Parameter<std::vector<int> > &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::IntsQuery(param, _title),
+QtDialog::IntsQtQuery::IntsQtQuery(Parameter<std::vector<int> > &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::IntsQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/MoleculeQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/MoleculeQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/MoleculeQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -31,6 +31,6 @@
 
 
-QtDialog::MoleculeQtQuery::MoleculeQtQuery(Parameter<const molecule *> &param, std::string _title, QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::MoleculeQuery(param, _title),
+QtDialog::MoleculeQtQuery::MoleculeQtQuery(Parameter<const molecule *> &_param, std::string _title, QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::MoleculeQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/MoleculesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -31,6 +31,6 @@
 
 
-QtDialog::MoleculesQtQuery::MoleculesQtQuery(Parameter<std::vector<const molecule *> > &param, std::string _title, QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::MoleculesQuery(param, _title),
+QtDialog::MoleculesQtQuery::MoleculesQtQuery(Parameter<std::vector<const molecule *> > &_param, std::string _title, QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::MoleculesQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -31,6 +31,6 @@
 #include "World.hpp"
 
-QtDialog::RandomNumberDistribution_ParametersQtQuery::RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::RandomNumberDistribution_ParametersQuery(param, _title),
+QtDialog::RandomNumberDistribution_ParametersQtQuery::RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::RandomNumberDistribution_ParametersQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -30,6 +30,6 @@
 #include "World.hpp"
 
-QtDialog::RealSpaceMatrixQtQuery::RealSpaceMatrixQtQuery(Parameter<RealSpaceMatrix> &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::RealSpaceMatrixQuery(param, _title),
+QtDialog::RealSpaceMatrixQtQuery::RealSpaceMatrixQtQuery(Parameter<RealSpaceMatrix> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::RealSpaceMatrixQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/StringQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/StringQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/StringQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -28,10 +28,11 @@
 
 
-QtDialog::StringQtQuery::StringQtQuery(Parameter<std::string> &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::StringQuery(param, _title),
+QtDialog::StringQtQuery::StringQtQuery(Parameter<std::string> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::StringQuery(_param, _title),
     parent(_parent)
 {
-  if (!param.isSet())
-    param.set("");
+  temp = "";
+  if (param.isSet())
+    temp = param.get();
   thisLayout = new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()));
@@ -54,9 +55,9 @@
 bool QtDialog::StringQtQuery::handle()
 {
-  //return tmp.get() != "";
-  if (param.isValid(temp)){
-    param.set(temp);
-    return true;
-  }
+  if (temp != "")
+    if (param.isValid(temp)){
+      param.set(temp);
+      return true;
+    }
   return false;
 }
Index: src/UIElements/Qt4/Query/StringsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -30,6 +30,6 @@
 
 
-QtDialog::StringsQtQuery::StringsQtQuery(Parameter<std::vector<std::string> > &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::StringsQuery(param, _title),
+QtDialog::StringsQtQuery::StringsQtQuery(Parameter<std::vector<std::string> > &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::StringsQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -28,14 +28,15 @@
 
 
-QtDialog::UnsignedIntQtQuery::UnsignedIntQtQuery(Parameter<unsigned int> &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::UnsignedIntQuery(param, _title),
+QtDialog::UnsignedIntQtQuery::UnsignedIntQtQuery(Parameter<unsigned int> &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::UnsignedIntQuery(_param, _title),
     parent(_parent)
 {
-  if (!param.isSet())
-    param.set(0);
+  temp = 0;
+  if (param.isSet())
+    temp = param.get();
   thisLayout = new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()));
   inputBox = new QSpinBox();
-  inputBox->setValue(param.get());
+  inputBox->setValue(temp);
   parent->addLayout(thisLayout);
   thisLayout->addWidget(titleLabel);
Index: src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -30,6 +30,6 @@
 
 
-QtDialog::UnsignedIntsQtQuery::UnsignedIntsQtQuery(Parameter<std::vector<unsigned int> > &param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::UnsignedIntsQuery(param, _title),
+QtDialog::UnsignedIntsQtQuery::UnsignedIntsQtQuery(Parameter<std::vector<unsigned int> > &_param, std::string _title,QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::UnsignedIntsQuery(_param, _title),
     parent(_parent)
 {
Index: src/UIElements/Qt4/Query/VectorQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/VectorQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/VectorQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -29,10 +29,11 @@
 
 
-QtDialog::VectorQtQuery::VectorQtQuery(Parameter<Vector> &param, std::string title, QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::VectorQuery(param, title),
+QtDialog::VectorQtQuery::VectorQtQuery(Parameter<Vector> &_param, std::string title, QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::VectorQuery(_param, title),
     parent(_parent)
 {
-  if (!param.isSet())
-    param.set(Vector(0,0,0));
+  temp = Vector(0, 0, 0);
+  if (param.isSet())
+    temp = param.get();
   mainLayout= new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()));
@@ -47,5 +48,5 @@
   coordInputX = new QDoubleSpinBox();
   coordInputX->setRange(-std::numeric_limits<double>::max(),std::numeric_limits<double>::max());
-  coordInputX->setValue(param.get()[0]);
+  coordInputX->setValue(temp[0]);
 //  coordInputX->setRange(0,M.at(i,i));
   coordInputX->setDecimals(3);
@@ -53,5 +54,5 @@
   coordInputY = new QDoubleSpinBox();
   coordInputY->setRange(-std::numeric_limits<double>::max(),std::numeric_limits<double>::max());
-  coordInputY->setValue(param.get()[1]);
+  coordInputY->setValue(temp[1]);
 //  coordInputY->setRange(0,M.at(i,i));
   coordInputY->setDecimals(3);
@@ -59,5 +60,5 @@
   coordInputZ = new QDoubleSpinBox();
   coordInputZ->setRange(-std::numeric_limits<double>::max(),std::numeric_limits<double>::max());
-  coordInputZ->setValue(param.get()[2]);
+  coordInputZ->setValue(temp[2]);
 //  coordInputZ->setRange(0,M.at(i,i));
   coordInputZ->setDecimals(3);
Index: src/UIElements/Qt4/Query/VectorsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision 9d5531fbb47ef59c8eae4c778a79805d99f454f2)
+++ src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision 7a1e7d379e64aaa85289af2424e86bb454904aaa)
@@ -29,6 +29,6 @@
 
 
-QtDialog::VectorsQtQuery::VectorsQtQuery(Parameter<std::vector<Vector> > &param, std::string title, QBoxLayout *_parent,QtDialog *_dialog) :
-    Dialog::VectorsQuery(param, title),
+QtDialog::VectorsQtQuery::VectorsQtQuery(Parameter<std::vector<Vector> > &_param, std::string title, QBoxLayout *_parent,QtDialog *_dialog) :
+    Dialog::VectorsQuery(_param, title),
     parent(_parent)
 {
